Skip to main content
DELETE
/
v1
/
webhooks
/
{id}
Delete Webhook
curl --request DELETE \
  --url https://api.shoal.xyz/v1/webhooks/{id} \
  --header 'Authorization: Bearer <token>'
Permanently deletes a webhook and all associated delivery records. This action cannot be undone.

Path Parameters

ParameterTypeRequiredDescription
idintegerYesWebhook ID

Request

cURL
curl -X DELETE "https://api.shoal.xyz/v1/webhooks/12" \
  -H "Authorization: Bearer YOUR_API_KEY"
Python
import os, requests

API_KEY = os.environ.get("SHOAL_API_KEY", "YOUR_API_KEY")

r = requests.delete(
    "https://api.shoal.xyz/v1/webhooks/12",
    headers={"Authorization": f"Bearer {API_KEY}"},
)
print(r.json())
JavaScript
const API_KEY = process.env.SHOAL_API_KEY || 'YOUR_API_KEY';

const res = await fetch('https://api.shoal.xyz/v1/webhooks/12', {
  method: 'DELETE',
  headers: { Authorization: `Bearer ${API_KEY}` },
});
console.log(await res.json());

Response (200)

{
  "success": true
}

Errors

StatusErrorCause
400Webhook id is requiredMissing or invalid ID
404Webhook not foundID doesn’t exist or belongs to another account